Bug 1850292 - Cannot paste into Namespaces > Create Namespace "Labels" field
Summary: Cannot paste into Namespaces > Create Namespace "Labels" field
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Mac OS
unspecified
low
Target Milestone: ---
: 4.5.z
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1849148
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-23 23:29 UTC by OpenShift BugZilla Robot
Modified: 2020-08-17 20:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The labels field allows pasting of multiple values only if all the values match the correct format. Multiple values are delimited by a space, which is problematic for values such as "openshift.io/run-level: '1'" as the space indicates multiple values, but it is really only a single value. Consequence: One or more values that did not match the correct format cause the paste to fail and no text is visible in the labels field, but the UI does not give sufficient feedback as to why the paste failed. Fix: Only allow single values to be pasted in to the label editor so the UI can correctly validate the pasted value. Result: It is no longer possible to paste multiple values in to the labels field, and the UI correctly validates the pasted input and displays pasted, invalid input in red.
Clone Of:
Environment:
Last Closed: 2020-08-17 20:05:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 5809 None closed [release-4.5] Bug 1850292: disable addOnPaste in <SelectorInput> 2020-08-10 08:50:19 UTC
Red Hat Product Errata RHBA-2020:3330 None None None 2020-08-17 20:05:42 UTC

Comment 1 Robb Hamilton 2020-07-08 12:25:02 UTC
Fix awaiting 4.5.z stream to open.

Comment 2 Robb Hamilton 2020-07-30 14:42:59 UTC
Awaiting cherry-pick approval.

Comment 6 Yanping Zhang 2020-08-10 09:27:01 UTC
Tested on OCP 4.5 cluster with payload 4.5.0-0.nightly-2020-08-08-162221.
Create namespace, in label fields, paste "openshift.io/run-level: '1'", text will turn to red, changed to "openshift.io/run-level=1", text turns to green.
The bug is fixed.

Comment 8 errata-xmlrpc 2020-08-17 20:05:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3330


Note You need to log in before you can comment on or make changes to this bug.